package com.vetti.hotake.domain.dto;

import com.vetti.common.utils.bean.BeanUtils;
import com.vetti.hotake.domain.HotakeSysFile;
import lombok.Data;

/**
 * @author ID
 * @date 2025/9/7 16:10
 */
@Data
public class HotakeSysFileDto extends HotakeSysFile {

    private String downloadLink;

    public static HotakeSysFileDto build(String link, HotakeSysFile data) {
        HotakeSysFileDto dto = new HotakeSysFileDto();
        BeanUtils.copyBeanProp(dto, data);
        dto.setDownloadLink(link);
        return dto;
    }

}
